#include "mainwindow.h"
#include "ui_mainwindow.h"

#include "boltdb.h"

#include <QFileDialog>
#include <QMessageBox>

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    ui->setupUi(this);
}

MainWindow::~MainWindow()
{
    delete ui;
}


void MainWindow::on_actionOpen_database_triggered()
{
    QString file = QFileDialog::getOpenFileName(this, tr("Select bolt database..."));
    if (! file.length()) {
        return;
    }

    // Open
    QString error;
    auto *bdb = BoltDB::createFrom(file, error);
    if (bdb == nullptr) {
        QMessageBox qmb;
        qmb.setText(tr("Error opening database: %s").arg(error));
        qmb.exec();
        return;
    }

    // Free
    delete bdb;
}
